<?php 
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage WP Less is More
 * @since WP Less is More 1.0
 */

	$commenter		= wp_get_current_commenter();
	$req			= get_option( 'require_name_email' );
	$aria_req		= ( $req ? " aria-required='true'" : '' );
	$required_text	= sprintf( ' ' . __( 'Required fields are marked %s', 'wp-less-is-more' ), '<span class="required">*</span>' );
	$user			= wp_get_current_user();
	$user_identity	= $user->exists() ? $user->display_name : '';
	
	$fields =  array(

	'author' => '
	<div class="form-group">
	<label for="author" class="col-sm-2 control-label">' . __( 'Name:', 'wp-less-is-more') . ( $req ? ' <span class="required">*</span>' : '' ) . '</label>
	<div class="col-sm-9">
	<input type="text" name="author" id="author" value="' . esc_attr( $commenter['comment_author'] ) . '" size="22" tabindex="3" ' . $aria_req . ' class="form-control" '. ( $req ? 'required' : '' ) .'>
	</div>
	</div>',

	'email' =>
	'<div class="form-group">
	<label for="email" class="col-sm-2 control-label">' . __( 'E-mail:', 'wp-less-is-more') . ( $req ? ' <span class="required">*</span>' : '' ) . '</label>
	<div class="col-sm-9">
	<input type="text" name="email" id="email" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="22" tabindex="2" ' . $aria_req . ' class="form-control" '. ( $req ? 'required' : '' ) .'>
	</div>
	</div>',

	'url' =>
	'<div class="form-group">
	<label for="url" class="col-sm-2 control-label">' . __( 'Website:', 'wp-less-is-more' ) . '</label>
	<div class="col-sm-9">
	<input type="text" name="url" id="url" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="22" tabindex="1" class="form-control">
	</div>
	</div>',
);
	$comments_args = array(
	'id_form'				=> 'commentform',
	'class_form'			=> 'comment-form form-horizontal',
	'id_submit'				=> 'submit',
	'class_submit'			=> 'btn btn-default active',
	'name_submit'			=> __('Submit Response', 'wp-less-is-more' ),
	'title_reply'			=> '',
	'title_reply_to'		=> '',
	'title_reply_before'	=> '',
	'title_reply_after'		=> '',
	'cancel_reply_before'	=> '<div class="cancel-comment-reply"><p>',
	'cancel_reply_after'	=> '</div></p>',
	'submit_button'			=> '<input name="%1$s" type="submit" id="%2$s" class="%3$s" value="%4$s" >',
	'submit_field'			=> '<div class="form-group">
	<div class="col-sm-offset-2 col-sm-10">%1$s %2$s</div>
	</div>',
	'format'				=> 'xhtml',
	
	'must_log_in'			=> '<p class="must-log-in">' .
		sprintf(
			__( 'You must be <a href="%s">logged in</a> to post a comment.', 'wp-less-is-more' ),
			wp_login_url( 
				apply_filters( 'the_permalink', get_permalink() )
			)
		) . '</p>',

	'logged_in_as' 			=> '<p class="logged-in-as">' .
		sprintf(
			__( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'wp-less-is-more'),
				admin_url( 'profile.php' ), $user_identity, wp_logout_url(
					apply_filters( 'the_permalink', get_permalink( ) )
				)
		) . '</p>',

	'comment_notes_before' 	=> '<p class="comment-notes">' .
    __( 'Your email address will not be published.', 'wp-less-is-more') . ( $req ? $required_text : '' ) .
    '</p>',

	'comment_notes_after' 	=> '<div class="form-group"><div class="col-sm-9 col-sm-offset-2">' .
		sprintf(
			__( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s', 'wp-less-is-more'),
			  '<code>' . allowed_tags() . '</code>'
		) . '</div></div>',
	
	'fields'				=> apply_filters( 'comment_form_default_fields', $fields ),
	'comment_field'			=> 
	'<div class="form-group">
	<div class="col-sm-9 col-sm-offset-2">
	<textarea name="comment" class="form-control" rows="3" ' . $aria_req . ' '. ( $req ? 'required' : '' ) .'></textarea>
	</div>
	</div>',
  
);


if ( have_comments() ) : ?>
<div class="panel panel-info">
	<div class="panel-heading" role="button" data-toggle="collapse" href="#collapseListComments" aria-expanded="true" aria-controls="collapseListComments">
		<h3 class="panel-title"><?php
	
			printf( _nx(
			'%1$s response to: %2$s',
			'%1$s responses to: %2$s',
			get_comments_number(), 'comments title', 'wp-less-is-more' ),
			'<span class="badge">' . number_format_i18n( get_comments_number() ) . '</span>', '&ldquo;' . get_the_title() . '&ldquo;' ); 
			
?>&nbsp;<span class="glyphicon glyphicon-chevron-up pull-right" aria-hidden="true"></span><span class="glyphicon glyphicon-chevron-down pull-right" aria-hidden="true"></span>&nbsp;
		</h3>
	</div>
	<div id="collapseListComments" class="panel-collapse collapse " role="tabpanel" aria-labelledby="collapseListComments" aria-expanded="true">
		<div id="comments-list" class="panel-body">
			<ul class="media-list list-group list-unstyled">
			<?php wp_list_comments( $args = array (
					'max_depth' 	=> 3,
					'avatar_size' 	=> 40,
					'callback' 		=> 'wp_less_is_more_custom_comments_list_template',
				));
			?>
			</ul>
		</div>		

		<div class="panel-body">

		<?php the_comments_navigation(); ?>
		
		</div>		
		
	</div>
<!-- End collapseListComments -->

<?php else : // this is displayed if there are no comments so far
		if ( 'open' == $post->comment_status ) : // if comments are open, but there are none ?>
<div class="panel panel-default">
	<div class="panel-heading"><?php _e( 'No responses yet.', 'wp-less-is-more' ); ?></div>
	<?php	endif; // if comments are closed do not display anythink
	endif; 

	 if ( comments_open() ) {

		$in = isset( $_GET['replytocom'] ) ? 'in' : '';

?>
	<div class="panel-body" >
		
		<button id="respond" class="btn btn-primary btn-block" type="button" data-toggle="collapse" data-target="#collapseCommentsForm" aria-expanded="true" aria-controls="collapseCommentsForm">
		<?php comment_form_title( __( 'Leave a <span class="badge">Response</span>', 'wp-less-is-more' ), __( 'Leave a Response to <span class="badge">%s</span>', 'wp-less-is-more' ) ); ?>
		</button>
		
	</div>
		
<div id="collapseCommentsForm" class="panel-body panel-collapse collapse <?php echo $in; ?>" role="tabpanel" aria-labelledby="collapseCommentsForm" aria-expanded="true">

<?php comment_form( $comments_args ); ?>

</div>

<?php }
 if  ( have_comments() )
// You have to close panel block anyway
echo '</div>
<!-- End panel panel-info if comments are closed but have some -->'; ?>